package com.schbrain.canal.client.transfer;

import com.alibaba.otter.canal.client.CanalConnector;
import com.schbrain.canal.client.conf.CanalClientConfig;
import com.schbrain.canal.client.core.HandlerConf;
import com.schbrain.canal.client.core.ListenerPoint;
import com.schbrain.canal.client.event.CanalEvent;

import java.util.List;
import java.util.Map;

/**
 * @author zhuyf
 * @date 2022/6/16
 */
public class DefaultTransponderFactory implements TransponderFactory{

    @Override
    public MessageTransponder newTransponder(CanalConnector connector, Map.Entry<String, CanalClientConfig> config, HandlerConf handlerConf) {
        return new DefaultMessageTransponder(connector, config,handlerConf);
    }
}
